# $FreeBSD$
#
.if !defined(_INCLUDE_USES_CATPAGES_MK)
_INCLUDE_USES_CATPAGES_MK=	yes
_USES_POST+=	catpages

BUILD_DEPENDS+=	groff:${PORTSDIR}/textproc/groff

.for c in ${CATPAGES}
PLIST_FILES+=	${c:C,man([0-9]),cat\1,}
.endfor
.endif

.if !defined(_INCLUDE_USES_CATPAGES_POST_MK)
_INCLUDE_USES_CATPAGES_POST_MK=	yes

POST_PLIST+=	do-catpages

do-catpages:
	@${ECHO_CMD} "====> Generating catpages"
.for c in ${CATPAGES}
	@gunzip -c ${STAGEDIR}${PREFIX}/${c} | \
		groff -mandoc -mtty-char -E -Ww -Tascii -P -c | \
		gzip > ${STAGEDIR}${PREFIX}/${c:C,man([0-9]),cat\1,}
.endfor
.endif
